package com.cim.idm.mwmsextend.generic.util;

public class InspectionProgramInfo {
	private String ip;
	private String home;
	private String passwd;
	private String user;
	private String port = "21";
	private String programName="";
	private String programPath="";
	private String programVersion="";
	private String initializedFlag;
	private String conditionId;
	
	/*
	* Name : getIp
	* Desc : This function is getIp
	* Author : ZXY IDM Team
	* Date : 2011.04.05
	*/
	public String getIp() {
		return ip;
	}
	
	/*
	* Name : setIp
	* Desc : This function is setIp
	* Author : ZXY IDM Team
	* Date : 2011.04.05
	*/
	public void setIp(String ip) {
		this.ip = ip;
	}
	
	/*
	* Name : getHome
	* Desc : This function is getHome
	* Author : ZXY IDM Team
	* Date : 2011.04.05
	*/
	public String getHome() {
		return home;
	}
	
	/*
	* Name : setHome
	* Desc : This function is setHome
	* Author : ZXY IDM Team
	* Date : 2011.04.05
	*/
	public void setHome(String home) {
		this.home = home;
	}
	
	/*
	* Name : getPasswd
	* Desc : This function is getPasswd
	* Author : ZXY IDM Team
	* Date : 2011.04.05
	*/
	public String getPasswd() {
		return passwd;
	}
	
	/*
	* Name : setPasswd
	* Desc : This function is setPasswd
	* Author : ZXY IDM Team
	* Date : 2011.04.05
	*/
	public void setPasswd(String passwd) {
		this.passwd = passwd;
	}
	
	/*
	* Name : getUser
	* Desc : This function is getUser
	* Author : ZXY IDM Team
	* Date : 2011.04.05
	*/
	public String getUser() {
		return user;
	}
	
	/*
	* Name : setUser
	* Desc : This function is setUser
	* Author : ZXY IDM Team
	* Date : 2011.04.05
	*/
	public void setUser(String user) {
		this.user = user;
	}
	
	/*
	* Name : getPort
	* Desc : This function is getPort
	* Author : ZXY IDM Team
	* Date : 2011.04.05
	*/
	public String getPort() {
		return port;
	}
	
	/*
	* Name : setPort
	* Desc : This function is setPort
	* Author : ZXY IDM Team
	* Date : 2011.04.05
	*/
	public void setPort(String port) {
		this.port = port;
	}

	/*
	* Name : getProgramName
	* Desc : This function is getProgramName
	* Author : ZXY IDM Team
	* Date : 2011.04.05
	*/
	public String getProgramName() {
		return programName;
	}
	
	/*
	* Name : setProgramName
	* Desc : This function is setProgramName
	* Author : ZXY IDM Team
	* Date : 2011.04.05
	*/
	public void setProgramName(String programName) {
		this.programName = programName;
	}
	
	/*
	* Name : getProgramPath
	* Desc : This function is getProgramPath
	* Author : ZXY IDM Team
	* Date : 2011.04.05
	*/
	public String getProgramPath() {
		return programPath;
	}
	
	/*
	* Name : setProgramPath
	* Desc : This function is setProgramPath
	* Author : ZXY IDM Team
	* Date : 2011.04.05
	*/
	public void setProgramPath(String programPath) {
		this.programPath = programPath;
	}
	
	/*
	* Name : getProgramVersion
	* Desc : This function is getProgramVersion
	* Author : ZXY IDM Team
	* Date : 2011.04.05
	*/
	public String getProgramVersion() {
		return programVersion;
	}
	
	/*
	* Name : setProgramVersion
	* Desc : This function is setProgramVersion
	* Author : ZXY IDM Team
	* Date : 2011.04.05
	*/
	public void setProgramVersion(String programVersion) {
		this.programVersion = programVersion;
	}
	
	/*
	* Name : setInitializedFlag
	* Desc : This function is setInitializedFlag
	* Author : ZXY IDM Team
	* Date : 2011.04.05
	*/
	public void setInitializedFlag(String initializedFlag) {
		this.initializedFlag = initializedFlag;
	}
	
	/*
	* Name : getInitializedFlag
	* Desc : This function is getInitializedFlag
	* Author : ZXY IDM Team
	* Date : 2011.04.05
	*/
	public String getInitializedFlag() {
		return initializedFlag;
	}
	
	/*
	* Name : setconditionId
	* Desc : This function is setconditionId
	* Author : ZXY IDM Team
	* Date : 2011.04.05
	*/
	public void setconditionId(String conditionId) {
		this.conditionId = conditionId;
	}
	
	/*
	* Name : getConditionId
	* Desc : This function is getConditionId
	* Author : ZXY IDM Team
	* Date : 2011.04.05
	*/
	public String getConditionId() {
		return conditionId;
	}
	
}
